io.agora.rtc

## Class AgoraVideoEncodedImageSender

- java.lang.Object
- - io.agora.rtc.AgoraVideoEncodedImageSender

-     class AgoraVideoEncodedImageSender
      extends java.lang.Object

  Wrapper for sending encoded video images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the video encoded image sender instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoEncodedImageSender(long cptr)` Constructs a video encoded image sender.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video encoded image sender
    `private void` | `nativeDestroy(long cptr)` Releases the native video encoded image sender handle.
    `private int` | `nativeSend(long cptr, byte[] imageBuffer, int length, EncodedVideoFrameInfo info)` Sends an encoded video image natively.
    `int` | `sendEncodedVideoImage(byte[] imageBuffer, EncodedVideoFrameInfo info)` Sends an encoded video image to the Agora server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the video encoded image sender instance.

  - ### Constructor Detail

    - #### AgoraVideoEncodedImageSender

          public AgoraVideoEncodedImageSender(long cptr)

      Constructs a video encoded image sender.
      Parameters:
        `cptr` - Native pointer to the sender instance

  - ### Method Detail

    - #### sendEncodedVideoImage

          public int sendEncodedVideoImage(byte[] imageBuffer,
                                           EncodedVideoFrameInfo info)

      Sends an encoded video image to the Agora server
      Parameters:
        `imageBuffer` - The encoded video image data
        `info` - The information about the encoded video image
      Returns:
        The result of sending the encoded video image

    - #### destroy

          public void destroy()

      Destroys the video encoded image sender

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

      Releases the native video encoded image sender handle.
      Parameters:
        `cptr` - Native pointer to the sender instance

    - #### nativeSend

          private int nativeSend(long cptr,
                                 byte[] imageBuffer,
                                 int length,
                                 EncodedVideoFrameInfo info)

      Sends an encoded video image natively.
      Parameters:
        `cptr` - Native pointer to the sender instance
        `imageBuffer` - Encoded video image data
        `length` - Length of the image data
        `info` - Encoded video frame information
      Returns:
        0 on success, <0 on failure